const path = require('path');

const root = '../';

module.exports = {
  root: path.resolve(__dirname, root),
  outputPath: path.resolve(__dirname, root, 'build'),
  entryPath: path.resolve(__dirname, root, 'src/index.jsx'),
  source: path.resolve(__dirname, root, 'src/'),
  templatePath: path.resolve(__dirname, root, 'public/template.html'),
  cachePath: path.join(process.cwd(), 'node_modules/.cache/hard-source/', '[confighash]'),
  publicPath: './',
  assetPath: 'assets',
  assetOriginPath: 'public/assets/',
  scriptsPath: 'scripts',
  imagesFolder: 'images',
  fontsFolder: 'fonts',
  cssFolder: 'css',
  jsFolder: 'js',
};
